CREATE TABLE anc_reprocess_events (
    REPROCESS_EVENT_ID       NUMBER(18, 0),
    ENTERPRISE_ID            NUMBER(18, 0)    NOT NULL,
    PERSON_ID                NUMBER(18, 0)    NOT NULL,
    START_DATE               DATE         ,
    END_DATE                 DATE         ,
    ACTION_ID                NUMBER(18, 0),
    PROCESS_ID               NUMBER(18, 0),
    STATUS                   NUMBER(9, 0)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    REPROCESS_EVENT_ID       NUMBER(18, 0),
    ENTERPRISE_ID            NUMBER(18, 0)    NOT NULL,
    PERSON_ID                NUMBER(18, 0)    NOT NULL,
    START_DATE               DATE         ,
    END_DATE                 DATE         ,
    ACTION_ID                NUMBER(18, 0),
    PROCESS_ID               NUMBER(18, 0),
    STATUS                   NUMBER(9, 0)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    CONSTRAINT pk_anc_reprocess_events PRIMARY KEY (REPROCESS_EVENT_ID, REPROCESS_EVENT_ID)
);
